<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#212121">

    <androidx.appcompat.widget.LinearLayoutCompat
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">

        <FrameLayout
            android:id="@+id/id_container"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:visibility="gone" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:id="@+id/id_content"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:orientation="vertical"
            android:visibility="visible">

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="24dp"
                android:gravity="center_vertical">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="17dp"
                    android:src="@mipmap/liulanicon" />

                <TextView
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginHorizontal="7dp"
                    android:layout_weight="1"
                    android:text="Secure Browser"
                    android:textColor="@color/white"
                    android:textSize="18sp"
                    android:textStyle="bold" />

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:paddingHorizontal="17dp"
                    android:src="@mipmap/gengduo" />
            </androidx.appcompat.widget.LinearLayoutCompat>

            <com.noober.background.view.BLLinearLayout
                android:layout_width="match_parent"
                android:layout_height="41dp"
                android:layout_marginHorizontal="26dp"
                android:layout_marginTop="59dp"
                android:gravity="center_vertical"
                app:bl_corners_radius="5dp"
                app:bl_solid_color="#33FFFFFF">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="18dp"
                    android:layout_height="18dp"
                    android:layout_marginStart="13dp"
                    android:layout_marginEnd="8dp"
                    android:src="@mipmap/sousuo" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="Search or enter website address"
                    android:textColor="@color/white"
                    android:textSize="13sp" />

            </com.noober.background.view.BLLinearLayout>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="10dp"
                android:layout_marginTop="30dp">


                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/id_google"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:clipChildren="false"
                    android:gravity="center_horizontal"
                    android:orientation="vertical">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/google" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="9dp"
                        android:gravity="center_horizontal"
                        android:maxLines="1"
                        android:text="Google"
                        android:textColor="@color/white"
                        android:textSize="13sp" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/id_youtube"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:clipChildren="false"
                    android:gravity="center_horizontal"
                    android:orientation="vertical">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/youtube" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="9dp"
                        android:gravity="center_horizontal"
                        android:maxLines="1"
                        android:text="Youtube"
                        android:textColor="@color/white"
                        android:textSize="13sp" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/id_facebook"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:clipChildren="false"
                    android:gravity="center_horizontal"
                    android:orientation="vertical">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/facebook" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="9dp"
                        android:gravity="center_horizontal"
                        android:maxLines="1"
                        android:text="Facebook"
                        android:textColor="@color/white"
                        android:textSize="13sp" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/id_amazon"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:clipChildren="false"
                    android:gravity="center_horizontal"
                    android:orientation="vertical">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/amazon" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="9dp"
                        android:gravity="center_horizontal"
                        android:maxLines="1"
                        android:text="Amazon"
                        android:textColor="@color/white"
                        android:textSize="13sp" />
                </androidx.appcompat.widget.LinearLayoutCompat>


            </androidx.appcompat.widget.LinearLayoutCompat>

            <androidx.appcompat.widget.LinearLayoutCompat
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="10dp"
                android:layout_marginTop="22dp">


                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/id_instagram"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:clipChildren="false"
                    android:gravity="center_horizontal"
                    android:orientation="vertical">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/instagram" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="9dp"
                        android:gravity="center_horizontal"
                        android:maxLines="1"
                        android:text="Instagram"
                        android:textColor="@color/white"
                        android:textSize="13sp" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/id_twitter"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:clipChildren="false"
                    android:gravity="center_horizontal"
                    android:orientation="vertical">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/twitter" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="9dp"
                        android:gravity="center_horizontal"
                        android:maxLines="1"
                        android:text="X (Twitter)"
                        android:textColor="@color/white"
                        android:textSize="13sp" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/id_reddit"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:clipChildren="false"
                    android:gravity="center_horizontal"
                    android:orientation="vertical">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/reddit" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="9dp"
                        android:gravity="center_horizontal"
                        android:maxLines="1"
                        android:text="Reddit"
                        android:textColor="@color/white"
                        android:textSize="13sp" />
                </androidx.appcompat.widget.LinearLayoutCompat>

                <androidx.appcompat.widget.LinearLayoutCompat
                    android:id="@+id/id_tiktok"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:clipChildren="false"
                    android:gravity="center_horizontal"
                    android:orientation="vertical">

                    <androidx.appcompat.widget.AppCompatImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@mipmap/tiktok" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="9dp"
                        android:gravity="center_horizontal"
                        android:maxLines="1"
                        android:text="Tiktok"
                        android:textColor="@color/white"
                        android:textSize="13sp" />
                </androidx.appcompat.widget.LinearLayoutCompat>


            </androidx.appcompat.widget.LinearLayoutCompat>

            <View
                android:layout_width="wrap_content"
                android:layout_height="0dp"
                android:layout_weight="1" />
        </androidx.appcompat.widget.LinearLayoutCompat>


        <FrameLayout
            android:id="@+id/id_fl_ad"
            android:layout_width="match_parent"
            android:layout_height="wrap_content" />

        <androidx.appcompat.widget.LinearLayoutCompat
            android:layout_width="match_parent"
            android:layout_height="47dp"
            android:layout_marginVertical="14dp"
            android:gravity="center_vertical">

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <FrameLayout
                android:id="@+id/id_back_layout"
                android:layout_width="40dp"
                android:layout_height="match_parent">

                <com.noober.background.view.BLView
                    android:id="@+id/id_back"
                    android:layout_width="22dp"
                    android:layout_height="22dp"
                    android:layout_gravity="center"
                    app:bl_selected_drawable="@mipmap/fahui_s"
                    app:bl_unSelected_drawable="@mipmap/fahui_n" />
            </FrameLayout>

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <FrameLayout
                android:id="@+id/id_forward_layou"
                android:layout_width="40dp"
                android:layout_height="match_parent">

                <com.noober.background.view.BLView
                    android:id="@+id/id_forward"
                    android:layout_width="22dp"
                    android:layout_height="22dp"
                    android:layout_gravity="center"
                    app:bl_selected_drawable="@mipmap/xiayibu_s"
                    app:bl_unSelected_drawable="@mipmap/xiayibu_n" />
            </FrameLayout>

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <FrameLayout
                android:id="@+id/id_bottom_3"
                android:layout_width="40dp"
                android:layout_height="match_parent">

                <com.noober.background.view.BLTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:background="@mipmap/juxing"
                    android:gravity="center"
                    android:text="1"
                    android:textColor="@color/white"
                    android:textSize="13sp" />
            </FrameLayout>

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <FrameLayout
                android:id="@+id/id_bottom_4"
                android:layout_width="40dp"
                android:layout_height="match_parent">

                <androidx.appcompat.widget.AppCompatImageView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:src="@mipmap/tuichu" />
            </FrameLayout>

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />

            <FrameLayout
                android:id="@+id/id_bottom_5"
                android:layout_width="40dp"
                android:layout_height="match_parent">

                <com.noober.background.view.BLView
                    android:id="@+id/id_shoucang"
                    android:layout_width="22dp"
                    android:layout_height="22dp"
                    android:layout_gravity="center"
                    app:bl_selected_drawable="@mipmap/shoucang_s"
                    app:bl_unSelected_drawable="@mipmap/shoucang_n" />
            </FrameLayout>

            <View
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_weight="1" />
        </androidx.appcompat.widget.LinearLayoutCompat>
    </androidx.appcompat.widget.LinearLayoutCompat>
</FrameLayout>